# @EXPECTED_RESULTS@: ACCEPTED, WRONG_ANSWER
# The threshold needs to be <=528 for human cases, but sometimes needs to be >=530 for llm cases.
# But this is a bit random.
import sys

s = input()

k = 2
T = 528

# Count distinct 6-grams
counts = dict()
for i in range(len(s) - k + 1):
    gram = s[i : i + k]
    if gram not in counts:
        counts[gram] = 0
    counts[gram] += 1

m = max(*counts.values())
print(m, file=sys.stderr)

# For random text, nearly all of the 6-grams will be unique
if m < T:
    print("no")
else:
    print("yes")
